Bug 248425 - Review Request: perl-File-Sync - Perl access to fsync() and sync() function calls
Summary: Review Request: perl-File-Sync - Perl access to fsync() and sync() function c...
Status: CLOSED NEXTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
(Show other bugs)
Version: rawhide
Hardware: All Linux
medium
medium
Target Milestone: ---
Assignee: Parag AN(पराग)
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Keywords:
Depends On:
Blocks: perl-Net-FTPServer
TreeView+ depends on / blocked
 
Reported: 2007-07-16 18:41 UTC by Steven Pritchard
Modified: 2007-11-30 22:12 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-07-23 21:57:13 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
panemade: fedora-review+
wtogami: fedora-cvs+


Attachments (Terms of Use)

Description Steven Pritchard 2007-07-16 18:41:20 UTC
Spec URL: http://ftp.kspei.com/pub/steve/rpms/perl-File-Sync/perl-File-Sync.spec
SRPM URL: http://ftp.kspei.com/pub/steve/rpms/perl-File-Sync-0.09-1.src.rpm
Description:
The fsync() function takes a Perl file handle as its only argument, and
passes its fileno() to the C function fsync(). It returns undef on failure,
or true on success.

Comment 1 Parag AN(पराग) 2007-07-20 05:13:12 UTC
Review:
+ package builds in mock (development i386).
+ rpmlint is silent for SRPM and for RPM.
+ source files match upstream url
4f5aca0ccff4bf28ca1d039e5ed01fa2  File-Sync-0.09.tar.gz
+ package meets naming and packaging guidelines.
+ specfile is properly named, is cleanly written
+ Spec file is written in American English.
+ Spec file is legible.
+ dist tag is present.
+ build root is correct.
+ license is open source-compatible.  
+ License text is included in package.
+ %doc is present.
+ BuildRequires are proper.
+ %clean is present.
+ package installed properly.
+ Macro use appears rather consistent.
+ Package contains code, not content.
+ no headers or static libraries.
+ no .pc file present.
+ no -devel subpackage
+ no .la files.
+ no translations are available
+ Does owns the directories it creates.
+ no scriptlets present.
+ no duplicates in %files.
+ file permissions are appropriate.
+ make test outputs
PERL_DL_NONLAZY=1 /usr/bin/perl "-MExtUtils::Command::MM" "-e" "test_harness(0,
'blib/lib', 'blib/arch')" t/*.t
t/01_fsync....ok
t/02_error....ok
t/03_sync.....ok
All tests successful.
Files=3, Tests=17,  1 wallclock secs ( 0.07 cusr +  0.04 csys =  0.11 CPU)
+ exit 0
+Provides: Sync.so perl(File::Sync) = 0.09
+Requires: libc.so.6 libc.so.6(GLIBC_2.0) libc.so.6(GLIBC_2.1.3)
perl(:MODULE_COMPAT_5.8.8) perl(AutoLoader) perl(Carp) perl(DynaLoader)
perl(Exporter) perl(Symbol) perl(strict) perl(vars) rtld(GNU_HASH)

APPROVED.


Comment 2 Steven Pritchard 2007-07-20 16:44:47 UTC
New Package CVS Request
=======================
Package Name: perl-File-Sync
Short Description: Perl access to fsync() and sync() function calls
Owners: steve@silug.org
Branches: FC-6 F-7 EL-4 EL-5
InitialCC: fedora-perl-devel-list@redhat.com


Note You need to log in before you can comment on or make changes to this bug.